summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-lang')
-rw-r--r--dev-lang/typescript/Manifest1
-rw-r--r--dev-lang/typescript/typescript-4.5.4.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-lang/typescript/Manifest b/dev-lang/typescript/Manifest
index d0917908743..13145777e57 100644
--- a/dev-lang/typescript/Manifest
+++ b/dev-lang/typescript/Manifest
@@ -1 +1,2 @@
DIST typescript-4.3.5.tgz 10627908 BLAKE2B 8fda1e3c2ee052273e5fa22245a0af26c3171b93a5bd6d57453e92828748bec83ca9cef075b005e5b73f7be7e18210d0fef24c08e7b8054fd3c1d30376357d44 SHA512 0ea4208a1690f5c52bb24268f642325bffa0d15c6c93c703b59e766b734687460d4dfa54480ad74a88725069ef6cf6b310f2eedfdf02d14c662923ab3ee994cc
+DIST typescript-4.5.4.tgz 11280056 BLAKE2B 0fce858e7b1ec2120de9e2cd0356cb6553a1730f7db58a001920928351c58186124e63b7189e37ce12ea6158744c1203ebed6e20234e1b32e47b07b3f48bcd24 SHA512 56062cd80d90211b86a61b73155eda40976e2768327d39639e02f38e97d6f45a18645eb1bb0d56d2f5bd82108a2df716ac21712bcd42486440bd2d699f87c852
diff --git a/dev-lang/typescript/typescript-4.5.4.ebuild b/dev-lang/typescript/typescript-4.5.4.ebuild
new file mode 100644
index 00000000000..dcbc71b38d8
--- /dev/null
+++ b/dev-lang/typescript/typescript-4.5.4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Superset of JavaScript with optional static typing, classes and interfaces"
+HOMEPAGE="https://www.typescriptlang.org"
+SRC_URI="https://registry.npmjs.org/${PN}/-/${P}.tgz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+
+DEPEND=""
+RDEPEND="net-libs/nodejs"
+BDEPEND=">=net-libs/nodejs-16[npm]"
+
+S="${WORKDIR}/package"
+
+src_compile() {
+ # nothing to compile here
+ :
+}
+
+src_install() {
+ npm \
+ --audit false \
+ --color false \
+ --foreground-scripts \
+ --global \
+ --offline \
+ --omit dev \
+ --prefix "${ED}"/usr \
+ --progress false \
+ --verbose \
+ install "${DISTDIR}/${P}".tgz || die "npm install failed"
+
+ einstalldocs
+}